import React from 'react';
export interface IIconProps extends React.ComponentProps<'svg'> {
    /**
     * Defines height of the icon
     */
    height?: number;
    /**
     * Defines which component to be rendered
     */
    type: string;
    /**
     * Defines the size of the icon if height and width are not provided
     */
    size?: number;
    /**
     * Defines the title for accessibility
     */
    title?: string;
    /**
     * Defines width of the icon
     */
    width?: number;
}
export default function Icon({ className, height, type, size, title, width, ...other }: IIconProps): JSX.Element;
//# sourceMappingURL=Icon.d.ts.map